public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-apps/kross-interpreters/
Date: Tue,  7 Jul 2020 09:29:28 +0000 (UTC)	[thread overview]
Message-ID: <1594113631.3e1efa85f8d73688c2d70b166ac24259915bfcd7.asturm@gentoo> (raw)

commit:     3e1efa85f8d73688c2d70b166ac24259915bfcd7
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  7 09:20:31 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Jul  7 09:20:31 2020 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=3e1efa85

kde-apps/kross-interpreters: 20.04.3 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../kross-interpreters-20.04.3.ebuild              | 42 ++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/kde-apps/kross-interpreters/kross-interpreters-20.04.3.ebuild b/kde-apps/kross-interpreters/kross-interpreters-20.04.3.ebuild
new file mode 100644
index 0000000000..1fb7b6795d
--- /dev/null
+++ b/kde-apps/kross-interpreters/kross-interpreters-20.04.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+USE_RUBY="ruby25 ruby26 ruby27"
+KFMIN=5.70.0
+QTMIN=5.14.2
+inherit ecm kde.org python-single-r1 ruby-single
+
+DESCRIPTION="Kross interpreter plugins for programming languages"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+python ruby"
+
+REQUIRED_USE="|| ( python ruby ) python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="
+	>=dev-qt/qtgui-${QTMIN}:5
+	>=dev-qt/qtwidgets-${QTMIN}:5
+	>=kde-frameworks/kross-${KFMIN}:5
+	python? ( ${PYTHON_DEPS} )
+	ruby? ( ${RUBY_DEPS} )
+"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+	ecm_pkg_setup
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_python=$(usex python)
+		-DBUILD_ruby=$(usex ruby)
+	)
+
+	ecm_src_configure
+}


             reply	other threads:[~2020-07-07  9:29 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-07  9:29 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-03-29 13:35 [gentoo-commits] proj/kde:master commit in: kde-apps/kross-interpreters/ Andreas Sturmlechner
2021-08-21 13:51 Andreas Sturmlechner
2021-07-17  8:02 Andreas Sturmlechner
2020-11-05 17:59 Andreas Sturmlechner
2020-11-03  7:30 Andreas Sturmlechner
2020-10-11 11:08 Andreas Sturmlechner
2020-10-10 11:45 Andreas Sturmlechner
2020-09-03 12:16 Andreas Sturmlechner
2020-08-13 15:48 Andreas Sturmlechner
2020-08-01  8:20 Andreas Sturmlechner
2020-07-11 15:32 Andreas Sturmlechner
2020-07-09 16:27 Andreas Sturmlechner
2020-02-19 11:51 Andreas Sturmlechner
2020-01-07 19:42 Andreas Sturmlechner
2018-12-12 11:56 Andreas Sturmlechner
2018-03-28 10:12 Michael Palimaka
2018-01-25 11:40 Michael Palimaka
2017-12-25  9:53 Michael Palimaka
2016-07-13  5:49 Johannes Huber
2016-04-21 11:00 Johannes Huber
2016-04-06 19:24 Johannes Huber
2015-07-20 21:12 Johannes Huber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1594113631.3e1efa85f8d73688c2d70b166ac24259915bfcd7.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox